package com.gic.evaluate.dao.mapper;

import com.gic.evaluate.entity.TabEvaluateOrderConfig;

public interface TabEvaluateOrderConfigMapper {
    /**
     * 根据主键删除
     *
     * @param evaluateOrderConfigId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer evaluateOrderConfigId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabEvaluateOrderConfig record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabEvaluateOrderConfig record);

    /**
     * 根据主键查询
     *
     * @param evaluateOrderConfigId 主键
     * @return 实体对象
     */
    TabEvaluateOrderConfig selectByPrimaryKey(Integer evaluateOrderConfigId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabEvaluateOrderConfig record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabEvaluateOrderConfig record);

    TabEvaluateOrderConfig getOrderConfig(Integer enterpriseId);
}